View Issue Details

IDProjectCategoryView StatusLast Update
0002512SymmetricDSBugpublic2020-01-13 11:20
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.30Fixed in Version3.7.30 
Summary0002512: Redshift will insert multiple incoming batch rows if batches are resent
DescriptionWithout true primary key support on inserts in Redshift additional incoming batch attempts will result in a new entry each time.
Tagsdata sync, dialect: redshift

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 870a0fcf

2016-03-01 15:08:10

Hicks, Josh

Details Diff
0002512 - Prevent duplicate incoming batch inserts in Redshift when
retry occurs
Affected Issues
0002512
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File

SymmetricDS: 3.7 a76f14ed

2016-03-01 19:44:20

admin

Details Diff
0002512 - Prevent duplicate incoming batch inserts in Redshift when
retry occurs
Affected Issues
0002512
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/IncomingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2016-03-01 15:07 josh-a-hicks New Issue
2016-03-01 15:07 josh-a-hicks Status new => assigned
2016-03-01 15:07 josh-a-hicks Assigned To => josh-a-hicks
2016-03-01 16:00 Changeset attached => SymmetricDS 3.7 870a0fcf
2016-03-01 20:00 admin Changeset attached => SymmetricDS 3.7 a76f14ed
2019-04-23 16:40 elong Tag Attached: data sync
2019-04-23 16:53 elong Tag Attached: dialect: redshift
2019-05-14 08:19 elong Category Improvement => Bug
2020-01-13 11:20 josh-a-hicks Status assigned => resolved
2020-01-13 11:20 josh-a-hicks Resolution open => fixed
2020-01-13 11:20 josh-a-hicks Fixed in Version => 3.7.30
2020-01-13 11:20 josh-a-hicks Status resolved => closed